/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function permissionTree(
  params,
  options,
) {
  return request('/admin/permission/tree', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function permissionItems(
  params,
  options,
) {
  return request('/admin/permission/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function permissionCreate(
  body,
  options,
) {
  return request('/admin/permission/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function permissionUpdate(
  body,
  options,
) {
  return request('/admin/permission/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function permissionItem(
  params,
  options,
) {
  return request('/admin/permission/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}

export async function permissionDelete(
  params,
  options,
) {
  return request('/admin/permission/delete', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}